# coding: utf-8

require File.expand_path('../lib/stub_solr/version', __FILE__)

Gem::Specification.new do |gem|
  gem.name          = 'stub_solr'
  gem.version       = StubSolr::VERSION
  gem.authors       = ['Jaigouk Kim']
  gem.email         = ['ping@jaigouk.kim']

  gem.summary       = %q{stub sunspot to test }
  gem.description   = %q{overrided StubSessionProxy with AR queries to mimic sunspot }
  gem.homepage      = 'https://github.com/jaigouk/stub_solr'
  gem.license       = 'MIT'

  gem.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  gem.bindir        = 'bin'
  gem.executables   = gem.files.grep(%r{^bin/}) { |f| File.basename(f) }
  gem.require_paths = ['lib']
  gem.test_files    = gem.files.grep(%r{^(test|spec|features)/})

  gem.add_dependency 'kaminari', '~> 0.17.0'
  gem.add_dependency 'sunspot_rails', '~> 2.2.5'
  gem.add_dependency 'rails', '>= 4'

  # gem.add_development_dependency 'simplecov', '~> 0.12.0'
  gem.add_development_dependency 'bundler', '~> 1.12'
  gem.add_development_dependency 'minitest', '~> 5.0'
  gem.add_development_dependency 'minitest-reporters', '~> 1.1.11'
end
